Loading...
Searching...
No Matches
Dune::TypeTree::FilteredCompositeNode< Node, Filter >::Child< k > Struct Template Reference

Access to the type and storage type of the i-th child. More...

`#include <dune/typetree/filteredcompositenode.hh>`

## Public Types

typedef OriginalChild::Type | Type
| The type of the child.
typedef OriginalChild::type | type
| The type of the child.

## Detailed Description

template<typename Node, typename Filter>
template<std::size_t k>
struct Dune::TypeTree::FilteredCompositeNode< Node, Filter >::Child< k >

Access to the type and storage type of the i-th child.

## Member Typedef Documentation

## Type

template<typename Node, typename Filter>
template<std::size_t k>

typedef OriginalChild::Type Dune::TypeTree::FilteredCompositeNode< Node, Filter >::Child< k >::Type

The type of the child.

## type

template<typename Node, typename Filter>
template<std::size_t k>

typedef OriginalChild::type Dune::TypeTree::FilteredCompositeNode< Node, Filter >::Child< k >::type

The type of the child.

The documentation for this struct was generated from the following file:

- filteredcompositenode.hh